basespd = 4;			//default movement speed
spd = 4;				//current movement speed 
weapon = 0;				//current weapon
weaponspd = 5;			//current shooting speed
ammo = 0;				//when ammo reaches zero, return to default weapon (unlimited ammo)
cooldown = 0;			//able to fire again when cooldown reaches zero (based on weaponspd)
pscore = 0;				//score variable for each player
friction = 0.1;
image_speed = 0;